PARAMS: "--spring.cloud.nacos.discovery.namespace=qrcode-pcb  --spring.cloud.nacos.config.namespace=qrcode-pcb --spring.cloud.nacos.discovery.server-addr=nacos.dz-middleware.svc.cluster.local   --spring.cloud.nacos.config.server-addr=nacos.dz-middleware.svc.cluster.local"
registry: 192.168.31.201/htj_develop
pushPath: 192.168.31.201/htj_develop
service:
  name: gateway
  port: 8080
  nodePort: 30080
  select: qrcode-gateway-pcb
## 基础模块
version: v25.02.21-2.04.001.001-cs
# 如果项目base.isUpdate: true / core.isUpdate: true / htj.isUpdate: true 构建整个项目
# 如果模块为true指定项目打包
base:
  dir: "BASE"
  type: "mvn"
  url: "http://114.116.202.8:18369/factory-tobacco/factory-tobacco-basic.git"
  namespace: qrcode-xxx
  isUpdate: true

core:
  dir: "CORE"
  type: "mvn"
  url: "http://114.116.202.8:18369/factory-tobacco/factory-tobacco-qrcodecore.git"
  namespace: qrcode-xxx
  isUpdate: true
  module:
  - name: qrcode-auth-pcb
    path: factory-tobacco-qrcode-auth
    isEncryption: false
    version: v2.11.03-cs-25.06.11
    isUpdate: false

  - name: qrcode-gateway-pcb
    path: factory-tobacco-qrcode-gateway
    isEncryption: false
    version: 2.11.01
    isUpdate: false

  - name: qrcode-modules-device-pcb
    path: factory-tobacco-qrcode-modules-device
    isEncryption: false
    version: v2.11.03-cs-25.05.30.001
    isUpdate: false

  - name: qrcode-modules-file-pcb
    path: factory-tobacco-qrcode-modules-file
    isEncryption: false
    version: 2.11.01
    isUpdate: false

#
#  - name: factory-tobacco-qrcode-modules-gen
#    path: factory-tobacco-qrcode-modules-gen
#    isEncryption: false
#    version: v24.12.03.1-2.03.003-cs
#    isUpdate: false

  - name: qrcode-modules-monitor-alarm-pcb
    path: factory-tobacco-qrcode-modules-monitor-alarm
    isEncryption: false
    version: 2.11.01
    isUpdate: false

  - name: qrcode-modules-stmb-register-pcb
    path: factory-tobacco-qrcode-modules-stmb-register
    isEncryption: false
    version: v2.11.04-25.06.10.003
    isUpdate: false

  - name: qrcode-modules-system-pcb
    path: factory-tobacco-qrcode-modules-system
    isEncryption: true
    version: v2.11.04-25.06.10.003
    isUpdate: false

  - name: qrcode-modules-timesync-pcb
    path: factory-tobacco-qrcode-modules-timesync
    isEncryption: false
    version: 2.11.01
    isUpdate: false

htj:
  dir: "HTJ"
  type: "mvn"
  url: "http://114.116.202.8:18369/factory-tobacco/factory-tobacco-qrcode-htj.git"
  namespace: qrcode-xxx
  isUpdate: true
  module:
  - name: factory-tobacco-qrcode-module-monitoring-platform
    path: factory-tobacco-qrcode-module-monitoring-platform
    isEncryption: false
    version: v25.04.12-2.11.01.001
    isUpdate: false

  - name: qrcode-modules-data-sharing
    path: factory-tobacco-qrcode-modules-data-sharing
    isEncryption: false
    version: v2.11.04-cs-25.06.12.001
    isUpdate: true

  - name: qrcode-modules-data-migrate-pcb
    path: factory-tobacco-qrcode-modules-data-migrate
    isEncryption: false
    version: 2.11.01
    isUpdate: false

  - name: factory-tobacco-qrcode-module-product-syncmes
    path: factory-tobacco-qrcode-module-product-syncmes
    isEncryption: false
    version: v25.03.31-2.04.001.001
    isUpdate: false

  - name: qrcode-modules-db-version-control-pcb
    path: factory-tobacco-qrcode-modules-db-version-control
    isEncryption: false
    version: v2.11.04-cs-25.06.11.001
    isUpdate: false

  - name: qrcode-modules-iotege-relation-pcb
    path: factory-tobacco-qrcode-modules-iotege-relation
    isEncryption: false
    version: 2.11.01
    isUpdate: false

#  - name: factory-tobacco-qrcode-modules-product-bloomfilter
#    path: factory-tobacco-qrcode-modules-product-bloomfilter
#    isEncryption: false
#    version: v25.02.21-2.04.001.001-cs
#    isUpdate: false

  - name: qrcode-modules-product-relation-pcb
    path: factory-tobacco-qrcode-modules-product-relation
    isEncryption: false
    version: v2.11.04-cs-25.06.12.001
    isUpdate: true

  - name: qrcode-modules-product-report-pcb
    path: factory-tobacco-qrcode-modules-product-report
    isEncryption: false
    version: 2.11.01
    isUpdate: false

  - name: factory-tobacco-qrcode-modules-product-statistics
    path: factory-tobacco-qrcode-modules-product-statistics
    isEncryption: false
    version: v25.02.21-2.04.001.001-cs
    isUpdate: false

  - name: qrcode-modules-product-upload-pcb
    path: factory-tobacco-qrcode-modules-product-upload
    isEncryption: true
    version: v2.11.04-cs-25.06.12.001
    isUpdate: true

  - name: factory-tobacco-qrcode-modules-wip-relation
    path: factory-tobacco-qrcode-modules-wip-relation
    isEncryption: false
    version: v25.02.21-2.04.001.001-cs
    isUpdate: false

web:
  dir: "WEB"
  name: "qrcode-pcb-factory-pcb"
  type: "node"
  url: "http://114.116.202.8:18369/factory-tobacco/factory-tobacco-qrcode-htj-vue.git"
#  isEncryption: false
  version: v2.11.03-cs-25.06.11.002
  isUpdate: false
#